Bug Hunting Session
Bug 127859 - pressing edit button in footer or header make LO crash
Summary: pressing edit button in footer or header make LO crash
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2019-09-29 10:17 UTC by Xavier Van Wijmeersch
Modified: 2019-09-30 19:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xavier Van Wijmeersch 2019-09-29 10:17:42 UTC
steps to reproduce

1 open new spreadsheet
2 go to format => page
3 select footer or header
4 click on button edit
LO is crashing

Version: 6.4.0.0.alpha0+
Build ID: 1902f1e4c787293559378f3d8cb9c10c369f8ae4
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded

no crash with

Version: 6.3.2.2
Build ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 MM 2019-09-29 11:14:26 UTC
Confirmed on mint 19.2 with Version: 6.4.0.0.alpha0+
Build ID: 66e45a1ae861d50edf65fed9e39c9c9d5b15e0ac
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-09-28_15:31:38
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

but not with

Version: 6.4.0.0.alpha0+
Build ID: 0d0e8533afe565564835e6d51500e64066fd565b
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-09-14_06:19:54
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Xisco Faulí 2019-09-30 09:32:04 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a37e559ed123789f6bc8f7972242d6461ce692ab

author	Caolán McNamara <caolanm@redhat.com>	2019-09-20 20:29:36 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-09-26 09:54:18 +0200
commit	a37e559ed123789f6bc8f7972242d6461ce692ab (patch)
tree	7c6304b4541335b2bb706efda58b882132fe3819
parent	b3f249c1351642be6f2774230ff80a6d20bd1401 (diff)
disinherit OWizardPage and SfxTabPage from vcl TabPage

Bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 3 Caolán McNamara 2019-09-30 10:33:09 UTC
huh!, an OS/2 workaround comes back to cause trouble
Comment 4 Commit Notification 2019-09-30 13:45:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/338a525a00a9ea0b44d41d59c8e9dbcf17ac411b

Resolves: tdf#127859 fix header/footer dialog crash

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xavier Van Wijmeersch 2019-09-30 19:07:26 UTC
Its working again thx Caolán McNamara

Version: 6.4.0.0.alpha0+
Build ID: 25ca657f8d0f1febaf0d5984bc862f3072ad197b
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded